package com.bonus.canteen.core.menu.vo;

import com.fasterxml.jackson.databind.JsonNode;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@ApiModel("定时获取心跳包(电子菜排)")
public class MenuHeartBeatVO implements Serializable {
   @ApiModelProperty("餐次修改最新时间")
   private LocalDateTime intervalUpdateTime;
   @ApiModelProperty("菜谱修改最新时间")
   private LocalDateTime recipeUpdateTime;
   @ApiModelProperty("服务器时间戳")
   private Long currentTimeMillis;
   @ApiModelProperty("心跳包时间")
   private Long heartBeatTime;
   @ApiModelProperty("轮播播放时间")
   private Long carouselTime;
   @ApiModelProperty("字幕标语")
   private String titleSlogan;
   @ApiModelProperty("字体大小")
   private Integer fontSize;
   @ApiModelProperty("界面样式(电子菜排)")
   private Integer guiStyle;
   @ApiModelProperty("设备背景或轮播图片")
   private JsonNode imageMap;
   @ApiModelProperty("字体行数")
   private Integer lineNum;
   @ApiModelProperty("字体颜色，默认黑色")
   private String fontColor;

   public Long getCurrentTimeMillis() {
      return System.currentTimeMillis();
   }

   public LocalDateTime getIntervalUpdateTime() {
      return this.intervalUpdateTime;
   }

   public LocalDateTime getRecipeUpdateTime() {
      return this.recipeUpdateTime;
   }

   public Long getHeartBeatTime() {
      return this.heartBeatTime;
   }

   public Long getCarouselTime() {
      return this.carouselTime;
   }

   public String getTitleSlogan() {
      return this.titleSlogan;
   }

   public Integer getFontSize() {
      return this.fontSize;
   }

   public Integer getGuiStyle() {
      return this.guiStyle;
   }

   public JsonNode getImageMap() {
      return this.imageMap;
   }

   public Integer getLineNum() {
      return this.lineNum;
   }

   public String getFontColor() {
      return this.fontColor;
   }

   public void setIntervalUpdateTime(final LocalDateTime intervalUpdateTime) {
      this.intervalUpdateTime = intervalUpdateTime;
   }

   public void setRecipeUpdateTime(final LocalDateTime recipeUpdateTime) {
      this.recipeUpdateTime = recipeUpdateTime;
   }

   public void setCurrentTimeMillis(final Long currentTimeMillis) {
      this.currentTimeMillis = currentTimeMillis;
   }

   public void setHeartBeatTime(final Long heartBeatTime) {
      this.heartBeatTime = heartBeatTime;
   }

   public void setCarouselTime(final Long carouselTime) {
      this.carouselTime = carouselTime;
   }

   public void setTitleSlogan(final String titleSlogan) {
      this.titleSlogan = titleSlogan;
   }

   public void setFontSize(final Integer fontSize) {
      this.fontSize = fontSize;
   }

   public void setGuiStyle(final Integer guiStyle) {
      this.guiStyle = guiStyle;
   }

   public void setImageMap(final JsonNode imageMap) {
      this.imageMap = imageMap;
   }

   public void setLineNum(final Integer lineNum) {
      this.lineNum = lineNum;
   }

   public void setFontColor(final String fontColor) {
      this.fontColor = fontColor;
   }

}
